## org.eclipse.emf.compare
Class EMFCompareException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.emf.compare.EMFCompareException

All Implemented Interfaces:
  java.io.Serializable

    public class EMFCompareException

extends java.lang.RuntimeException

Exception thrown when a comparison launched from the GUI fails.

See Also:
  Serialized Form

Constructor Summary
`EMFCompareException(java.lang.String message)` Constructs a new runtime exception with the specified detail message.
`EMFCompareException(java.lang.Throwable exception)` Constructs a new runtime exception wrapped around another exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EMFCompareException

    public EMFCompareException(java.lang.String message)

  Constructs a new runtime exception with the specified detail message.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

### EMFCompareException

    public EMFCompareException(java.lang.Throwable exception)

  Constructs a new runtime exception wrapped around another exception.

  Parameters:
    `exception` - Exception to wrap within this new one.

Copyright 2006 IBM Corporation and others. All Rights Reserved.